import type { BigInteger } from 'big-integer';
import type { TraceId, SpanId, TracingIdType, TracingIdFormat } from './TracingIdentifier';
/**
 * A read-only wrapper of {@link TracingIdentifier} for public API usage.
 */
export declare class DatadogTracingIdentifier {
    /**
     * Read-only generated ID as a {@link BigInteger}.
     */
    get id(): BigInteger;
    /**
     * Read-only type to determine whether the identifier is a {@link TraceId} or a {@link SpanId}.
     */
    get type(): TracingIdType;
    private uuid;
    constructor(uuid: TraceId | SpanId);
    /**
     * Returns a string representation of the Tracing ID.
     * @param format - The type of representation to use.
     * @returns The ID as a string in the specified representation type.
     */
    toString(format: TracingIdFormat): string;
}
//# sourceMappingURL=DatadogTracingIdentifier.d.ts.map